Bug 185621 - [PATCH] devel/bmake: fix packaging on pre-pkgNG systems
[PATCH] devel/bmake: fix packaging on pre-pkgNG systems
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Mikolaj Golub
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-09 22:50 UTC by Matthias Andree
Modified: 2014-01-12 09:02 UTC (History)
1 user (show)

See Also:


Attachments
bmake-20140101.patch (579 bytes, patch)
2014-01-09 22:50 UTC, Matthias Andree
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Andree freebsd_committer 2014-01-09 22:50:00 UTC
Fix build with pre-pkgNG systems - @dirrmtry must be spelt out as unexec
rmdir ... there.

Port maintainer (trociny@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_11 (mode: change, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2014-01-09 22:50:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->trociny

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2014-01-10 22:21:31 UTC
Author: trociny
Date: Fri Jan 10 22:21:24 2014
New Revision: 339387
URL: http://svnweb.freebsd.org/changeset/ports/339387

Log:
  Fix packaging on pre-pkgNG systems
  
  PR:	ports/185621

Modified:
  head/devel/bmake/Makefile

Modified: head/devel/bmake/Makefile
==============================================================================
--- head/devel/bmake/Makefile	Fri Jan 10 22:09:07 2014	(r339386)
+++ head/devel/bmake/Makefile	Fri Jan 10 22:21:24 2014	(r339387)
@@ -37,7 +37,8 @@ do-install:
 	    	>${WRKDIR}/PLIST.share-mk
 	cd ${STAGEDIR}${PREFIX} ;					\
 	    ${FIND} share/mk -type d					\
-	    	| ${SORT} -r | ${SED} -e 's/^/@dirrmtry /'		\
+	    	| ${SORT} -r						\
+		| ${SED} -e 's/^/@dirrmtry /; ${PLIST_REINPLACE_DIRRMTRY}' \
 		>>${WRKDIR}/PLIST.share-mk
 	${ECHO_CMD} "r ${TMPPLIST}"			> ${WRKDIR}/ex.script
 	${ECHO_CMD} "/Insert PLIST.share-mk"		>> ${WRKDIR}/ex.script
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Mikolaj Golub freebsd_committer 2014-01-12 09:01:05 UTC
State Changed
From-To: open->closed

Should be fixed now. Thanks for the report and the hint.